all lists on lists.proxmox.com
 help / color / mirror / Atom feed
* [pve-devel] [PATCH installer] unconfigured: also catch ^C signal with debug shell
@ 2025-12-19 18:54 Christoph Heiss
  2026-03-27  9:13 ` Christoph Heiss
  0 siblings, 1 reply; 2+ messages in thread
From: Christoph Heiss @ 2025-12-19 18:54 UTC (permalink / raw)
  To: pve-devel

Currently, pressing Ctrl-C during the installation - mostly relevant
when running the auto-installer - will cause a kernel panic, as
unconfigured.sh is running as PID 1.

Instead, drop the user into our debug shell, which is a bit better UX
and more useful, too.

Signed-off-by: Christoph Heiss <c.heiss@proxmox.com>
---
 unconfigured.sh | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/unconfigured.sh b/unconfigured.sh
index caa08c3..40e17b0 100755
--- a/unconfigured.sh
+++ b/unconfigured.sh
@@ -3,6 +3,7 @@
 reboot_action="reboot"
 
 trap "err_reboot" ERR
+trap "err_reboot" INT
 
 # NOTE: we nowadays get exec'd by the initrd's PID 1, so we're the new PID 1
 
@@ -75,6 +76,9 @@ eject_and_reboot() {
 real_reboot() {
     trap - ERR
 
+    # ignore ^C from this point, we are already shutting down
+    trap '' INT
+
     if [[ -x /etc/init.d/networking ]]; then
         /etc/init.d/networking stop
     fi
-- 
2.51.2



_______________________________________________
pve-devel mailing list
pve-devel@lists.proxmox.com
https://lists.proxmox.com/cgi-bin/mailman/listinfo/pve-devel


^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2026-03-27  9:14 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2025-12-19 18:54 [pve-devel] [PATCH installer] unconfigured: also catch ^C signal with debug shell Christoph Heiss
2026-03-27  9:13 ` Christoph Heiss

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.
Service provided by Proxmox Server Solutions GmbH | Privacy | Legal